classification
Title: minor uuid.py loading optimization
Type: performance Stage: resolved
Components: ctypes, Library (Lib), Windows Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: eugals, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-08-19 17:49 by eugals, last changed 2014-09-30 17:34 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
uuid.patch eugals, 2013-08-19 17:49 review
Messages (5)
msg195653 - (view) Author: Evgeny Sologubov (eugals) Date: 2013-08-19 17:49
Please see the patch attached.
It quite is primitive and self-explanatory: the code wouldn't attempt to load *libc* via ctypes.CDLL, if all necessary functions are already found in *libuuid*.

This patch also can serve as a work-around solution to issue #17213 
(which I encountered on cygwin+python27)
msg197548 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-13 04:52
LGTM.
msg197549 - (view) Author: Roundup Robot (python-dev) Date: 2013-09-13 05:09
New changeset 7aaba721ebc0 by Serhiy Storchaka in branch '3.3':
Issue #18784: The uuid module no more attempts to load libc via ctypes.CDLL,
http://hg.python.org/cpython/rev/7aaba721ebc0

New changeset 66ec8431032d by Serhiy Storchaka in branch 'default':
Issue #18784: The uuid module no more attempts to load libc via ctypes.CDLL,
http://hg.python.org/cpython/rev/66ec8431032d

New changeset 6d8a5cbb94c9 by Serhiy Storchaka in branch '2.7':
Issue #18784: The uuid module no more attempts to load libc via ctypes.CDLL,
http://hg.python.org/cpython/rev/6d8a5cbb94c9
msg197550 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-13 05:17
Thank you for your contribution Evgeny.
msg227959 - (view) Author: Roundup Robot (python-dev) Date: 2014-09-30 17:34
New changeset f9cd915410d2 by Georg Brandl in branch '3.2':
Issue #19855: uuid.getnode() on Unix now looks on the PATH for the
https://hg.python.org/cpython/rev/f9cd915410d2
History
Date User Action Args
2014-09-30 17:34:51python-devsetmessages: + msg227959
2013-09-13 05:17:25serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg197550

stage: commit review -> resolved
2013-09-13 05:09:16python-devsetnosy: + python-dev
messages: + msg197549
2013-09-13 04:52:04serhiy.storchakasetassignee: serhiy.storchaka
stage: commit review
messages: + msg197548
versions: + Python 3.3, Python 3.4
2013-08-19 18:09:48pitrousetnosy: + serhiy.storchaka
2013-08-19 17:49:28eugalscreate